package com.mysql.jdbc.log;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;

/* loaded from: com_mysql_jdbc_log.jar:com/mysql/jdbc/log/Log4JLogger.class */
public class Log4JLogger implements Log {
    private Logger logger;

    public Log4JLogger(String instanceName) {
        this.logger = Logger.getLogger(instanceName);
    }

    @Override // com.mysql.jdbc.log.Log
    public boolean isDebugEnabled() {
        return this.logger.isDebugEnabled();
    }

    @Override // com.mysql.jdbc.log.Log
    public boolean isErrorEnabled() {
        return this.logger.isEnabledFor(Level.ERROR);
    }

    @Override // com.mysql.jdbc.log.Log
    public boolean isFatalEnabled() {
        return this.logger.isEnabledFor(Level.FATAL);
    }

    @Override // com.mysql.jdbc.log.Log
    public boolean isInfoEnabled() {
        return this.logger.isInfoEnabled();
    }

    @Override // com.mysql.jdbc.log.Log
    public boolean isTraceEnabled() {
        return this.logger.isDebugEnabled();
    }

    @Override // com.mysql.jdbc.log.Log
    public boolean isWarnEnabled() {
        return this.logger.isEnabledFor(Level.WARN);
    }

    @Override // com.mysql.jdbc.log.Log
    public void logDebug(Object msg) {
        this.logger.debug(LogUtils.expandProfilerEventIfNecessary(LogUtils.expandProfilerEventIfNecessary(msg)));
    }

    @Override // com.mysql.jdbc.log.Log
    public void logDebug(Object msg, Throwable thrown) {
        this.logger.debug(LogUtils.expandProfilerEventIfNecessary(msg), thrown);
    }

    @Override // com.mysql.jdbc.log.Log
    public void logError(Object msg) {
        this.logger.error(LogUtils.expandProfilerEventIfNecessary(msg));
    }

    @Override // com.mysql.jdbc.log.Log
    public void logError(Object msg, Throwable thrown) {
        this.logger.error(LogUtils.expandProfilerEventIfNecessary(msg), thrown);
    }

    @Override // com.mysql.jdbc.log.Log
    public void logFatal(Object msg) {
        this.logger.fatal(LogUtils.expandProfilerEventIfNecessary(msg));
    }

    @Override // com.mysql.jdbc.log.Log
    public void logFatal(Object msg, Throwable thrown) {
        this.logger.fatal(LogUtils.expandProfilerEventIfNecessary(msg), thrown);
    }

    @Override // com.mysql.jdbc.log.Log
    public void logInfo(Object msg) {
        this.logger.info(LogUtils.expandProfilerEventIfNecessary(msg));
    }

    @Override // com.mysql.jdbc.log.Log
    public void logInfo(Object msg, Throwable thrown) {
        this.logger.info(LogUtils.expandProfilerEventIfNecessary(msg), thrown);
    }

    @Override // com.mysql.jdbc.log.Log
    public void logTrace(Object msg) {
        this.logger.debug(LogUtils.expandProfilerEventIfNecessary(msg));
    }

    @Override // com.mysql.jdbc.log.Log
    public void logTrace(Object msg, Throwable thrown) {
        this.logger.debug(LogUtils.expandProfilerEventIfNecessary(msg), thrown);
    }

    @Override // com.mysql.jdbc.log.Log
    public void logWarn(Object msg) {
        this.logger.warn(LogUtils.expandProfilerEventIfNecessary(msg));
    }

    @Override // com.mysql.jdbc.log.Log
    public void logWarn(Object msg, Throwable thrown) {
        this.logger.warn(LogUtils.expandProfilerEventIfNecessary(msg), thrown);
    }
}
